package com.fjhx.service.supplier;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.entity.supplier.SupplierKeep;
import com.fjhx.params.supplier.SupplierKeepVo;
import com.fjhx.base.StorageBaseService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 供应商维护记录 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-08-08
 */
public interface SupplierKeepService extends StorageBaseService<SupplierKeep> {

    Page<SupplierKeep> getPage(Map<String, String> condition);

    void add(SupplierKeepVo supplierKeepVo);

    void edit(SupplierKeepVo supplierKeepVo);

    void delete(SupplierKeepVo supplierKeepVo);

    List<SupplierKeepVo> getDetails(Long id);

}
